Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class StepIntegerAttributeEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadm.editors.StepIntegerAttributeEditor

public class StepIntegerAttributeEditor
extends AttributeEditor

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`StepIntegerAttributeEditor()`

Method Summary
`void` | `clearChanged()`
`protected void` | `decr()`
`java.awt.Component` | `getComponent()`
`java.lang.Object` | `getValue()`
`boolean` | `hasChanged()`
`protected void` | `incr()`
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`void` | `resetChanges()`
`void` | `setValue(java.lang.Object o)`

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StepIntegerAttributeEditor

    public StepIntegerAttributeEditor()

Method Detail

### incr

    protected void incr()

### decr

    protected void decr()

### hasChanged

    public boolean hasChanged()

### clearChanged

    public void clearChanged()

### resetChanges

    public void resetChanges()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object o)

### getComponent

    public java.awt.Component getComponent()

  Overrides:
    getComponent in class AttributeEditor

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD